/*
 * Class ARRAYED_LIST [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1568 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1568 [] = {0xFF01,1551,1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1568 [] = {0xFF01,1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1568 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1568 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1568 [] = {0xFF01,1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1568 [] = {0xFF01,1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1568 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1568 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1568 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1568 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1568 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1568 [] = {1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1568 [] = {0xFF01,1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1568 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1568 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1568 [] = {0xFF01,1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1568 [] = {0xFF01,1547,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1568 [] = {0xFF01,1554,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1568 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1568 [] = {0xFF01,1547,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1568 [] = {0xFF01,1559,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1568 [] = {0xFF01,1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1568 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1568 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1568 [] = {0xFF01,603,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1568 [] = {0xFF01,1567,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1568 [] = {869,0xFFFF};


static const struct desc_info desc_1568[] = {
	{EIF_GENERIC(NULL), 13808, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1568), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1568), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13832, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1568), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13859, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1568), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1568), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1568), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1568), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1568), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1568), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1568), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1568), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1568), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1568), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1568), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1568), 8759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1568), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9385, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1568), 13813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13852, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13861, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13818, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1568), 8752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13841, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1568), 13814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1568), 12008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13835, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1568), 13813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13839, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13822, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13825, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1568), 13816, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1568), 13817, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13838, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13801, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1568), 13803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12450, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13842, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13833, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13836, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9235, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13849, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13860, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13862, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13800, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1568), 10415, 0},
	{EIF_GENERIC(NULL), 10408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10409, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1568), 10410, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1568), 10411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10412, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10413, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10414, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1568), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9386, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13856, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13858, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1568), 11009, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1568), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12361, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13802, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1568), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13809, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13810, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13811, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1568), 13812, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1568), 13821, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13826, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13837, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13805, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13806, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1568), 13807, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13818, 8},
	{EIF_GENERIC(egt_34_1568), 13814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1568), 13815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13835, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13847, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1568), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1568), 13819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13834, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13844, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13830, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13846, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13850, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13851, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13854, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13798, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13799, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_1568), 13804, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13855, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1568), -1, 0xFFFFFFFF},
};
void Init1568(void)
{
	IDSC(desc_1568, 0, 1567);
	IDSC(desc_1568 + 1, 1, 1567);
	IDSC(desc_1568 + 32, 1134, 1567);
	IDSC(desc_1568 + 41, 1395, 1567);
	IDSC(desc_1568 + 43, 1060, 1567);
	IDSC(desc_1568 + 49, 1444, 1567);
	IDSC(desc_1568 + 58, 1570, 1567);
	IDSC(desc_1568 + 61, 1534, 1567);
	IDSC(desc_1568 + 68, 636, 1567);
	IDSC(desc_1568 + 82, 1245, 1567);
	IDSC(desc_1568 + 85, 1135, 1567);
	IDSC(desc_1568 + 94, 1422, 1567);
	IDSC(desc_1568 + 103, 878, 1567);
	IDSC(desc_1568 + 104, 586, 1567);
	IDSC(desc_1568 + 110, 1088, 1567);
	IDSC(desc_1568 + 112, 778, 1567);
	IDSC(desc_1568 + 113, 658, 1567);
	IDSC(desc_1568 + 114, 617, 1567);
	IDSC(desc_1568 + 116, 288, 1567);
	IDSC(desc_1568 + 131, 916, 1567);
	IDSC(desc_1568 + 137, 254, 1567);
	IDSC(desc_1568 + 140, 554, 1567);
	IDSC(desc_1568 + 141, 340, 1567);
	IDSC(desc_1568 + 149, 387, 1567);
	IDSC(desc_1568 + 151, 794, 1567);
}


#ifdef __cplusplus
}
#endif
